Subject: [bug#36277] [PATCH] doc: Recommend '-enable-kvm' for installing in a VM as well.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Wed, 19 Jun 2019 12:41:37 +0200

On Wed, Jun 19, 2019 at 11:22:23AM +0800, Meiyo Peng wrote:
> Hi Florian,
> 
> Florian Pelz writes:
> 
> >  @example
> > -qemu-system-x86_64 -m 1024 -smp 1 \
> > +qemu-system-x86_64 -m 1024 -smp 1 -enable-kvm \
> ...
> > -The ordering of the drives matters.
> > +The ordering of the drives matters.  @code{-enable-kvm} is optional, but
> > +significantly improves performance, @pxref{Running Guix in a VM}.
> 
> "-enable-kvm" is deprecated.  Please use "-accel kvm" instead.  QEMU
> will probably support "-enable-kvm" option forever but "-accel kvm" is
> recommended.
> 
> 
> 

Thank you Meiyo Peng!  I cannot find an official deprecation, but
-accel seems to be recommended in general.  But I am unsure.  I like
-accel; it seems less KVM-specific, that is better.

However, I cannot find -accel kvm in Debian Jessie’s manpage at

https://manpages.debian.org/jessie/qemu-system-x86/qemu-system-x86_64.1.en.html

and in a Debian Stretch VM it says: qemu-syems-x86_64: -accel: invalid
option

Maybe it is better to wait three more years until switching to -accel
so instructions work on Debian (LTS)?  If Guix wants to switch now
though, see the attached patches.

Regards,
Florian
>From 0ffc2d9d31f481cccb5d6a8a5e17a6d836d0e09c Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Wed, 19 Jun 2019 11:19:09 +0200
Subject: [PATCH 1/2] Recommend '-accel kvm' instead of '-enable-kvm' option
 for QEMU in manual.

Suggested by Meiyo Peng <[email-masked]>.

* doc/guix.texi (Running Guix in a Virtual Machine): Change it.
---
 doc/guix.texi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 65c3b8a7f1..97620eb20c 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -25406,7 +25406,7 @@ vm-image} on x86_64 hardware:
 @example
 $ qemu-system-x86_64 \
    -net user -net nic,model=virtio \
-   -enable-kvm -m 512 \
+   -accel kvm -m 512 \
    -device virtio-blk,drive=myhd \
    -drive if=none,file=/tmp/qemu-image,id=myhd
 @end example
@@ -25429,7 +25429,7 @@ create a NIC, the boot will fail.  Assuming your hardware platform is
 x86_64, you can get a list of available NIC models by running
 @command{qemu-system-x86_64 -net nic,model=help}.
 
-@item -enable-kvm
+@item -accel kvm
 If your system has hardware virtualization extensions, enabling the
 virtual machine support (KVM) of the Linux kernel will make things run
 faster.
-- 
2.22.0

>From c3c6bc15e3052a92acf9bdb3f5156fe939d14c33 Mon Sep 17 00:00:00 2001
From: Florian Pelz <[email-masked]>
Date: Wed, 19 Jun 2019 11:24:16 +0200
Subject: [PATCH 2/2] doc: Recommend '-accel kvm' for installing in a VM as
 well.

* doc (Installing Guix in a VM): Add '-accel kvm' to example.
---
 doc/guix.texi | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 97620eb20c..3fec743d23 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -2430,13 +2430,14 @@ The resulting file will be much smaller than 50 GB (typically less than
 Boot the USB installation image in an VM:
 
 @example
-qemu-system-x86_64 -m 1024 -smp 1 \
+qemu-system-x86_64 -m 1024 -smp 1 -accel kvm \
   -net user -net nic,model=virtio -boot menu=on \
   -drive file=guix-system-install-@value{VERSION}.@var{system}.iso \
   -drive file=guixsd.img
 @end example
 
-The ordering of the drives matters.
+The ordering of the drives matters.  @code{-accel kvm} is optional, but
+significantly improves performance, @pxref{Running Guix in a VM}.
 
 In the VM console, quickly press the @kbd{F12} key to enter the boot
 menu.  Then press the @kbd{2} key and the @kbd{RET} key to validate your
-- 
2.22.0